playerc_position1d_t Struct Reference
position1d

Position1d device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
double | pose [3]
| Robot geometry in robot cs: pose gives the position1d and orientation, size gives the extent. More...
double | size [2]
double | pos
| Odometric pose [m] or [rad]. More...
double | vel
| Odometric velocity [m/s] or [rad/s]. More...
int | stall
| Stall flag [0, 1]. More...
int | status
| Status bitfield of extra data in the following order: More...

## Detailed Description

Position1d device data.

## Member Data Documentation

playerc_device_t playerc_position1d_t::info

Device info; must be at the start of all device structures.

double playerc_position1d_t::pos

Odometric pose [m] or [rad].

double playerc_position1d_t::pose[3]

Robot geometry in robot cs: pose gives the position1d and orientation, size gives the extent.

These values are filled in by playerc_position1d_get_geom().

int playerc_position1d_t::stall

Stall flag [0, 1].

int playerc_position1d_t::status

Status bitfield of extra data in the following order:

- status (unsigned byte)
  - bit 0: limit min
  - bit 1: limit center
  - bit 2: limit max
  - bit 3: over current
  - bit 4: trajectory complete
  - bit 5: is enabled
  - bit 6:
  - bit 7:

double playerc_position1d_t::vel

Odometric velocity [m/s] or [rad/s].

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45